Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(339)

Unified Diff: scripts/slave/recipes/z.sh

Issue 1662993002: WIP: add totally reproducible git cl upload hooks. (Closed) Base URL: https://chromium.googlesource.com/chromium/tools/build.git@master
Patch Set: review Created 4 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « scripts/slave/recipes/infra/git_cl.expected/sane.json ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: scripts/slave/recipes/z.sh
diff --git a/scripts/slave/recipes/z.sh b/scripts/slave/recipes/z.sh
new file mode 100755
index 0000000000000000000000000000000000000000..4cde7d99dfa931a1299851998f457e49d1807edf
--- /dev/null
+++ b/scripts/slave/recipes/z.sh
@@ -0,0 +1,16 @@
+set -e
+
+RIET="https://codereview.chromium.org"
+CL=1805193002
+PATCHSET=`curl -s -n $RIET/api/$CL?tryjobs=false | python -c "import json, sys; print sorted(json.loads(sys.stdin.read())['patchsets'])[-1]"`
+cd ../
+[ -z "$N" ] && ./recipes.py run --properties '{"mastername": "master.tryserver.infra", "slavename": "slaveXXX", "buildername": "Try Recipe Trusty 64", "buildnumber": "0", "issue": "'$CL'", "rietveld": "'$RIET'", "patchset": "'$PATCHSET'"}' infra/git_cl
+
+git cl try -m tryserver.infra \
+ -b "Try Recipe Trusty 64" \
+ -b "Try Recipe Mac" \
+ -b "Try Recipe Win 64" \
+ -p try_recipe=infra/git_cl \
+ -p try_props=$(echo '{"issue": "'$CL'", "rietveld": "'$RIET'", "patchset": "'$PATCHSET'"}' | python -c "import zlib, sys, base64; print base64.b64encode(zlib.compress(sys.stdin.read()))")
+
+watch --color -n 1 "git cl try-results --color"
« no previous file with comments | « scripts/slave/recipes/infra/git_cl.expected/sane.json ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698